/* 
Theme Name: A Life That Matters
Description: This is a child theme of Hello Elementor for A Life That Matters, created by Candlelight Websites
Author: Candlelight Websites
Author URI: https://lightyourway.co.za
Template: hello-elementor
Version: 1.0.1
*/

.title-deco-01 .elementor-icon svg{
  width: 1em !important;      /* still controlled by Elementor size slider */
  height: auto !important;     /* stops the forced square */
  aspect-ratio: 251 / 24;      /* keeps your wide ratio */
  display: block;
}

.title-deco-01 .elementor-icon{
  line-height: 1 !important;   /* removes baseline/line-height extra space */
}

/*** Post Grid Default ***/

.posts-grid-default a.elementor-cta {
  --color: #DACFB0;
}

.posts-grid-default a.elementor-cta .elementor-cta__title,
.posts-grid-default a.elementor-cta .elementor-cta__description strong {
	transition: all .3s;
}

.posts-grid-default a.elementor-cta:hover .elementor-cta__title,
.posts-grid-default a.elementor-cta:hover .elementor-cta__description strong {
	color: var(--e-global-color-accent);
}

.posts-grid-default .elementor-widget-container,
.posts-grid-default a.elementor-cta,
.posts-grid-default .elementor-cta__content {
    overflow: visible !important;
}

.posts-grid-default .elementor-cta__content {
	display: grid;
	grid-template-columns: 1.1fr 1.6fr;
	grid-template-rows: auto auto;
	row-gap: 12px;
	column-gap: 24px;
	align-items: stretch;
}

.posts-grid-default .elementor-cta__image {
	grid-column: 1;
	grid-row: 1 / 3;
	height: 100%;
}

.posts-grid-default .elementor-cta__title {
	grid-column: 2;
	grid-row: 1;
	margin: 0 !important;
	align-self: end;
}

.posts-grid-default .elementor-cta__description {
	grid-column: 2;
	grid-row: 2;
	align-self: start;
}

.posts-grid-default .elementor-cta__image img {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
    box-shadow: 4px 4px 20px 0px rgba(0, 0, 0, 0.2);
	transition: all .3s;
}

.posts-grid-default a.elementor-cta:hover img {
    box-shadow: none !important;
	border-color: transparent !important;
}

.posts-grid-default .elementor-cta__description p {
	margin: 0;
}

/* Mobile layout */
@media (max-width: 767px) {
	.posts-grid-default .elementor-cta__content {
		grid-template-columns: 1fr;
	}

	.posts-grid-default .elementor-cta__image,
	.posts-grid-default .elementor-cta__title,
	.posts-grid-default .elementor-cta__description {
		grid-column: 1;
		grid-row: auto;
	}

	.posts-grid-default .elementor-cta__image img {
		height: auto;
	}
	
    .posts-grid-default .elementor-cta__title,
    .posts-grid-default .elementor-cta__description {
        padding-left: 12px;
        padding-right: 12px;
    }
    .posts-grid-default .elementor-cta__description {
        padding-bottom: 18px;
    }
}


/*** WOOCOMMERCE ***/

a.elementor-menu-cart__toggle_button {
	background: #fff !important;
}

/*** Button base style ***/
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button, body .elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button, body.woocommerce-page a.wc-block-components-button {
	background-color: var( --e-global-color-accent );
	color: #fff;
	font-family: var(--e-global-typography-accent-font-family), Sans-serif;
	font-weight: var(--e-global-typography-accent-font-weight);
	text-transform: var(--e-global-typography-accent-text-transform);
	border-radius: 0;
	transition: all .3s;
	outline: none !important;
}
/*** Button hover style ***/
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button:hover, body .elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button:hover, body.woocommerce-page a.wc-block-components-button:hover {
	background-color: var(--e-global-color-primary);
	color: #fff;
}

.woocommerce .woocommerce-message {
    flex-direction: column;
    display: flex;
    align-items: end;
    outline: none !important;
}

.woocommerce .woocommerce-error li a {
	color: #000;
}
@media(min-width:767px) {
    .woocommerce .woocommerce-message {
        flex-direction: row;
    }
    .woocommerce .woocommerce-message a.button {
        white-space: nowrap;
        align-self: end;
    }
}
